# https://github.com/tebl/C64-JoyKEY
# https://github.com/tebl/C64-JoyKEY/blob/main/documentation/schematic/C64%20Joykey.pdf
#
# http://kookye.com/wp-content/uploads/2016/02/Pinout-ProMicro.jpg
# https://deskthority.net/wiki/Arduino_Pro_Micro
#
# PD1(D2) fire1
# PD0(D3) fire2
# PD4(D4) fire3
# PB3(D14) left
# PB1(D15) down
# PF7(D16) right # (PF5(D18) in schematics!)
# PF6(D17) up # (PF4(D19) in schematics!)
# PD7(D6) underglowleds
# PB6(D10) sysled
# PB5(D9) powerled

# '+' prefix = off at startup
# '-' prefix = on at startup
led caps -PD7
led num +PB6
led scroll -PB5

matrix
	scanrate 1
	debounce 5
	blocking 1

	unstrobed -PD1 A
	unstrobed -PD0 B
	unstrobed -PD4 C
	unstrobed -PB3 D
	unstrobed -PB1 E
	unstrobed -PF7 F
	unstrobed -PF6 G
end

# example, press a-button to CAPS_LOCK = toggle underglowleds
#macroblock
#  macro A -ALL
#    PRESS CAPS_LOCK
#    CLEAR_ALL
#  endmacro
#endblock

# example, press b-button to NUM_LOCK = toggle SYS-led
#macroblock
#  macro B -ALL
#    PRESS NUM_LOCK
#    CLEAR_ALL
#  endmacro
#endblock

# example, press c-button to SCROLL_LOCK = toggle PWR-led
#macroblock
#  macro C -ALL
#    PRESS SCROLL_LOCK
#    CLEAR_ALL
#  endmacro
#endblock

# example, press d-button to get shifted D
#macroblock
#  macro D -ALL
#    SET_META LSHIFT
#    PRESS D
#    CLEAR_ALL
#  endmacro
#endblock

#
# unstrobed
# Specifies a single pin to read and the corresponding HID code.
# This is intended for a single switch which can be wired with the other side of the switch permanently connected to either ground or +5V. If the other side of the switch is at +5V, a pull-down resistor must be added between the pin and ground.
# Example:
# unstrobed -PF1 LSHIFT
